Page 1 of 3 123 LastLast
Results 1 to 10 of 23

Thread: VMware workstation 7.1.5 does not compile kernel modules under openSUSE 12.1

  1. #1
    Join Date
    Oct 2011
    Location
    NJ, USA
    Posts
    93

    Default VMware workstation 7.1.5 does not compile kernel modules under openSUSE 12.1

    Hi all, I need to use VMware workstation 7.1.5; it used to work fine under 11.4_64. with my current OS (Linux 3.1.10-1.9-desktop x86_64, 4.7.2 (4.7.2) "release 5") it does not work; it installs fine but at first run it asks to recompile needed modules and that step fails; the error message is (appears in a window):

    Cannot execute command ' ''\''/usr/bin/vmware-modconfig'\'' --icon='\''vmware-workstation'\'' --appname='\''VMware'\'' --gcc='\''/usr/bin/gcc'\'' --headers='\''/lib/modules/3.1.10-1.9-desktop/build/include'\'' --gcc-ignore-minor ''.

    I could not find any patches/updates on VMware website; only a similar problem with Ubuntu (but not exactly the same)
    any help is greatly appreciated!

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,157

    Default Re: VMware workstation 7.1.5 does not compile kernel modules under openSUSE 12.1

    I see you found the Virtualization sub-forum. But now you have a doubble post. I will close the other one.

    And please use CODE tags as asked over there!
    Henk van Velden

  3. #3
    Join Date
    Oct 2011
    Location
    NJ, USA
    Posts
    93

    Default Re: VMware workstation 7.1.5 does not compile kernel modules under openSUSE 12.1

    thanks for closing the redundant post;
    I am not using the CODE tags because this was a response on window - I will update to use the CODE tags as requested, but I do not think it applies here (it makes it easier to read though)

  4. #4
    Join Date
    Oct 2011
    Location
    NJ, USA
    Posts
    93

    Default Re: VMware workstation 7.1.5 does not compile kernel modules under openSUSE 12.1

    the text:
    Cannot execute command ' ''\''/usr/bin/vmware-modconfig'\'' --icon='\''vmware-workstation'\'' --appname='\''VMware'\'' --gcc='\''/usr/bin/gcc'\'' --headers='\''/lib/modules/3.1.10-1.9-desktop/build/include'\'' --gcc-ignore-minor ''.
    is not code - it is the message that appears on the error window

  5. #5
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: VMware workstation 7.1.5 does not compile kernel modules underopenSUSE 12.1

    On 2012-06-06 20:26, darlac wrote:
    >
    > the text:
    >> Cannot execute command ' ''\''/usr/bin/vmware-modconfig'\''
    >> --icon='\''vmware-workstation'\'' --appname='\''VMware'\''
    >> --gcc='\''/usr/bin/gcc'\''
    >> --headers='\''/lib/modules/3.1.10-1.9-desktop/build/include'\''
    >> --gcc-ignore-minor ''.
    >>

    > is not code - it is the message that appears on the error window


    Please repost inside code tags. YES, treat it as code, it has been distorted.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  6. #6
    Join Date
    Aug 2008
    Location
    Brazil
    Posts
    2,908

    Default Re: VMware workstation 7.1.5 does not compile kernel modules underopenSUSE 12.1


  7. #7
    Join Date
    Oct 2011
    Location
    NJ, USA
    Posts
    93

    Default Re: VMware workstation 7.1.5 does not compile kernel modules underopenSUSE 12.1

    Thanks, I will treat it as code from now on;
    looking around I found this thread http://forums.opensuse.org/english/g...se-12-1-a.html that is very relevant -
    I tried to apply
    Code:
    vmware-modconfig --console --install-all
    as suggested and I get the error:
    Code:
    Stopping VMware services:
       VMware USB Arbitrator                                               done
       VM communication interface socket family                            done
       Virtual machine communication interface                             done
       Virtual machine monitor                                             done
       Blocking file system                                                done
    Using 2.6.x kernel build system.
    make: Entering directory `/tmp/vmware-root/modules/vmmon-only'
    make -C /lib/modules/3.1.10-1.9-desktop/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. \
      MODULEBUILDDIR= modules
    make[1]: Entering directory `/usr/src/linux-3.1.10-1.9-obj/x86_64/desktop'
      CC [M]  /tmp/vmware-root/modules/vmmon-only/linux/driver.o
    /tmp/vmware-root/modules/vmmon-only/linux/driver.c:788:59: error: ‘SPIN_LOCK_UNLOCKED’ undeclared here (not in a function)
    make[4]: *** [/tmp/vmware-root/modules/vmmon-only/linux/driver.o] Error 1
    make[3]: *** [_module_/tmp/vmware-root/modules/vmmon-only] Error 2
    make[2]: *** [sub-make] Error 2
    make[1]: *** [all] Error 2
    make[1]: Leaving directory `/usr/src/linux-3.1.10-1.9-obj/x86_64/desktop'
    make: *** [vmmon.ko] Error 2
    make: Leaving directory `/tmp/vmware-root/modules/vmmon-only'
    Unable to install vmmon
    I now believe if I can install vmmon will solve my problems, but I cannot find a way to do so

  8. #8
    Join Date
    Aug 2008
    Location
    Brazil
    Posts
    2,908

    Default Re: VMware workstation 7.1.5 does not compile kernel modules underopenSUSE 12.1

    vmmon is one of the modules compiled by the vmware installer. Did you install all dependencies - Kernel-source, gcc, etc?

    You may want to search vmware forums also.

  9. #9
    Join Date
    Oct 2011
    Location
    NJ, USA
    Posts
    93

    Default Re: VMware workstation 7.1.5 does not compile kernel modules underopenSUSE 12.1

    yes, all the required dependencies are installed - I am afraid that this is incompatibility on purpose? to force purchasing always new licenses?
    downloaded a trial version of workstation 8.0 and this one seems to work fine -

  10. #10
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: VMware workstation 7.1.5 does not compile kernel modules underopenSUSE 12.1

    On 2012-06-07 00:06, brunomcl wrote:
    >
    > vmmon is one of the modules compiled by the vmware installer. Did you
    > install all dependencies - Kernel-source, gcc, etc?


    Can version 7 be compiled for a recent distro version and kernel? AFAIK,
    you need version 8, or patch it.

    Perhaps View
    this thread here


    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

Page 1 of 3 123 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •